CharterOpsCharterOps

API reference

Aircraft

Search registered aircraft and aircraft types, and read an aircraft's operators and last position.

Search aircraft

GET/v1/aircraft

Scope
read
Quota
Counts toward your allowance

Query parameters

  • categoryarray of strings

    One ofpistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicopter

  • qstring

    Up to 120 characters.

  • cursorstring

    Up to 2,000 characters.

  • limitinteger

    From 1 to 100. Defaults to 25.

  • typestring

  • operator_idUUID

  • registrant_statestring

  • year_frominteger

  • year_tointeger

  • statusstring

  • basestring

  • for_tripUUID

  • sortstring

    One ofregistration-registrationfit-fitavailability-availabilitytype-typecategory-categoryyear-yearregistrant_name-registrant_nameregistrant_state-registrant_stateoperator_count-operator_count

Response

200 OK

Returns a page of aircraft summary objects in items, with next_cursor and total.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/aircraft" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Read an aircraft and its operators

GET/v1/aircraft/{registration}

Scope
read
Quota
Counts toward your allowance

Path parameters

  • registrationstringRequired

Query parameters

  • for_tripUUID

Response

200 OK

Returns the aircraft object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/aircraft/$REGISTRATION" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Read an aircraft's last position

GET/v1/aircraft/{registration}/position

Live positions come with Part 135 and Part 91 business plans. A key on another plan gets 403 plan_feature.

Scope
read
Quota
Counts toward your allowance

Path parameters

  • registrationstringRequired

    Matches ^[A-Za-z0-9][A-Za-z0-9-]{1,14}$.

Response

200 OK

Returns the position object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests
  • 503 Service unavailable

Example request

curl "$CHARTEROPS_API_URL/v1/aircraft/$REGISTRATION/position" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Search aircraft types

GET/v1/aircraft-types

Scope
read
Quota
Counts toward your allowance

Query parameters

  • categoryarray of strings

    One ofpistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicopter

  • qstring

    Up to 120 characters.

  • cursorstring

    Up to 2,000 characters.

  • limitinteger

    From 1 to 100. Defaults to 25.

Response

200 OK

Returns a page of aircraft type objects in items, with next_cursor and total.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/aircraft-types" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Read an aircraft type

GET/v1/aircraft-types/{icao}

Scope
read
Quota
Counts toward your allowance

Path parameters

  • icaostringRequired

Response

200 OK

Returns the aircraft type object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/aircraft-types/$ICAO" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Objects

Aircraft summary

  • availabilitystringCan be null

    One ofavailablenot_availableunknown

  • base_airportobjectCan be null

    10 fields in base_airport
    • citystringCan be null

    • codestring

    • countrystring

    • iatastringCan be null

    • icaostringCan be null

    • idUUID

    • latitudenumber

    • longitudenumber

    • namestring

    • timezonestringCan be null

  • confidencestringCan be null

  • fitobjectCan be null

    11 fields in fit
    • base_distance_nmintegerCan be null

    • base_pointsinteger

    • category_pointsinteger

    • longest_leg_nminteger

    • paxinteger

    • range_nmintegerCan be null

    • range_pointsinteger

    • requested_categorystringCan be null

    • scoreinteger

    • seatsintegerCan be null

    • seats_pointsinteger

  • idUUID

  • manufacturer_namestringCan be null

  • model_namestringCan be null

  • operator_countinteger

  • registrant_kindstringCan be null

  • registrant_namestringCan be null

  • registrant_statestringCan be null

  • registrationstring

  • seatsintegerCan be null

  • typeobjectCan be null

    5 fields in type
    • categorystring

      One ofpistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicopter

    • icao_designatorstring

    • idUUID

    • manufacturerstring

    • modelstring

  • yearintegerCan be null

Aircraft

  • active_empty_leg_countinteger

  • airworthiness_classstringCan be null

  • amenitiesarray of strings

    One ofwifipetslavatorybedsgalleysmoking

  • availabilitystringCan be null

    One ofavailablenot_availableunknown

  • base_airportobjectCan be null

    10 fields in base_airport
    • citystringCan be null

    • codestring

    • countrystring

    • iatastringCan be null

    • icaostringCan be null

    • idUUID

    • latitudenumber

    • longitudenumber

    • namestring

    • timezonestringCan be null

  • certificate_issue_datedateCan be null

  • confidencestringCan be null

  • fitobjectCan be null

    11 fields in fit
    • base_distance_nmintegerCan be null

    • base_pointsinteger

    • category_pointsinteger

    • longest_leg_nminteger

    • paxinteger

    • range_nmintegerCan be null

    • range_pointsinteger

    • requested_categorystringCan be null

    • scoreinteger

    • seatsintegerCan be null

    • seats_pointsinteger

  • hourly_rate_centsintegerCan be null

  • idUUID

  • manufacturer_namestringCan be null

  • mode_s_hexstringCan be null

  • model_namestringCan be null

  • operator_countinteger

  • operatorsarray of objects

    5 fields in operators
    • base_airportobjectCan be null

      10 fields in base_airport
      • citystringCan be null

      • codestring

      • countrystring

      • iatastringCan be null

      • icaostringCan be null

      • idUUID

      • latitudenumber

      • longitudenumber

      • namestring

      • timezonestringCan be null

    • confidencestring

    • listed_atdate-time

    • operatorobject

      4 fields in operator
      • dba_namestringCan be null

      • designatorstring

      • idUUID

      • legal_namestring

    • sourcestring

  • photosarray of objects

    6 fields in photos
    • heightinteger

    • idUUID

    • seqinteger

    • thumbnail_urlstring

    • urlstring

    • widthinteger

  • registrant_kindstringCan be null

  • registrant_namestringCan be null

  • registrant_statestringCan be null

  • registrationstring

  • seatsintegerCan be null

  • serial_numberstringCan be null

  • sourcestring

  • source_updated_atdate-timeCan be null

  • statusstring

  • typeobjectCan be null

    5 fields in type
    • categorystring

      One ofpistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicopter

    • icao_designatorstring

    • idUUID

    • manufacturerstring

    • modelstring

  • yearintegerCan be null

Position

  • age_secondsinteger

  • altitude_ftinteger

  • destinationstringCan be null

  • groundspeed_ktsinteger

  • headingintegerCan be null

  • latnumber

  • lonnumber

  • originstringCan be null

  • staleboolean

  • timestampdate-time

Aircraft type

  • cabin_classstringCan be null

  • categorystring

    One ofpistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicopter

  • cruise_ktsintegerCan be null

  • currencystring

  • fleet_countintegerCan be null

  • hourly_rate_high_centsintegerCan be null

  • hourly_rate_low_centsintegerCan be null

  • icao_designatorstring

  • idUUID

  • manufacturerstring

  • modelstring

  • range_nmintegerCan be null

  • typical_seatsinteger